## LassoSamlp2SubjectQueryAbstract

LassoSamlp2SubjectQueryAbstract — <samlp2:SubjectQueryAbstract>

## Functions

LassoNode * | lasso_samlp2_subject_query_abstract_new ()

## Types and Values

struct | LassoSamlp2SubjectQueryAbstract

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlp2RequestAbstract
                ╰── LassoSamlp2SubjectQueryAbstract
                    ├── LassoSamlp2AttributeQuery
                    ├── LassoSamlp2AuthnQuery
                    ╰── LassoSamlp2AuthzDecisionQuery

## Description

Figure 92. Schema fragment for samlp2:SubjectQueryAbstract

    <complexType name="SubjectQueryAbstractType" abstract="true">
      <complexContent>
        <extension base="samlp:RequestAbstractType">
          <sequence>
            <element ref="saml:Subject"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_subject_query_abstract_new ()

    LassoNode *
    lasso_samlp2_subject_query_abstract_new
                                   (void);

Creates a new LassoSamlp2SubjectQueryAbstract object.

#### Returns

a newly created LassoSamlp2SubjectQueryAbstract object

## Types and Values

### struct LassoSamlp2SubjectQueryAbstract

    struct LassoSamlp2SubjectQueryAbstract {
    	/* elements */
    	LassoSaml2Subject *Subject;
    };